#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QSettings>

namespace Ui
{
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QString desktopName, QWidget *parent = nullptr);
    ~Dialog();
    QString getItem();
    bool storePrefer();

private Q_SLOTS:
    void on_checkBox_stateChanged(int arg1);

private:
    Ui::Dialog *ui;
    QString m_desktopName;
    QSettings *configIniWrite;
    QString m_env = "Ubuntu22.04";
    int m_flag;
};

#endif // DIALOG_H
